package com.ruoyi.web.controller.system;

import com.ruoyi.common.core.domain.Result;
import com.ruoyi.system.domain.BookInfo;
import com.ruoyi.book.service.BookInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author DongZl
 * @description: 书籍请求控制
 * @Date 2023-10-7 上午 09:37
 */
@RestController
@RequestMapping("/book")
public class BookInfoController {

    @Autowired
    private BookInfoService bookInfoService;

    @PostMapping
    public Result add(@RequestBody BookInfo bookInfo){
        bookInfoService.save(bookInfo);
        return Result.success();
    }
}
