package com.myplus;

import com.ruoyi.RuoYiApplication;
import com.ruoyi.system.domain.BookInfo;
import com.ruoyi.book.mapper.BookInfoMapper;
import com.ruoyi.book.service.BookInfoService;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author DongZl
 * @description: 测试类
 * @Date 2023-10-8 下午 04:39
 */
@SpringBootTest(classes = RuoYiApplication.class)
public class BookTestService {

    @Autowired
    private BookInfoService bookInfoService;

    @Autowired
    private BookInfoMapper bookInfoMapper;

    @Test
    public void save(){
        bookInfoMapper.insert(
                BookInfo.builder()
                        .name("水浒传")
                        .price(new BigDecimal("65.36"))
                        .create_by("zhangsan")
                        .create_time(new Date())
                        .build()
        );
    }
}
